uniform sampler2D tex1;
uniform vec4 col;
varying vec2 texC;
uniform float limit;

void main()
{
	gl_FragColor = col;
	float disFromIt = limit - texC.x;
	if(disFromIt<0.0)
	disFromIt = 0.0;
	else
	disFromIt = 0.99;
	float blackNess = sin(texC.x*6.2 * texC.y*6.4)*2.5;
	gl_FragColor.a = disFromIt;
	gl_FragColor.rgb*=blackNess;
}